<?php
namespace nur\b\params\impl;

use nur\b\params\IParametrable;
use nur\b\params\Tparametrable1;

class BPD1 implements IParametrable {
  use Tparametrable1;

  const PARAMETRABLE_PARAMS_SCHEMA = [
    "string" => ["string", null],
    "nstring" => ["?string", "boum"],
    "int" => ["int", null],
    "nint" => ["?int", 18],
  ];
  
  function __construct(?array $params=null) {
    $this->initParametrableParams($params);
  }
  
  public $ppString, $ppNstring, $ppInt, $ppNint;

  function od1Values(): array {
    return [$this->ppString, $this->ppNstring, $this->ppInt, $this->ppNint];
  }
}
